unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, pngimage, ExtCtrls;

type
  TForm7 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label29: TLabel;
    Label28: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button1: TButton;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Image1: TImage;
    procedure Label18Click(Sender: TObject);
    procedure Label16Click(Sender: TObject);
    procedure Label19Click(Sender: TObject);
    procedure Label21Click(Sender: TObject);
    procedure Label24Click(Sender: TObject);
    procedure Label22Click(Sender: TObject);
    procedure Label25Click(Sender: TObject);
    procedure Label27Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Label32Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

uses Unit22;

{$R *.dfm}

procedure TForm7.Button1Click(Sender: TObject);
var s:string;
begin
edit1.Enabled:=false;
button1.enabled:=false;
s:=UpperCase(edit1.Text);
if s='A-D' then begin label35.Caption:='corect';
                      label35.Font.Color:=clgreen;
end
else begin label35.Caption:='gresit';
           label35.Font.Color:=clred;
end;
end;


procedure TForm7.Button2Click(Sender: TObject);
var s:string;
begin
edit2.Enabled:=false;
button2.Enabled:=false;
s:=UpperCase(edit2.text);
if s='B-C' then begin label34.Caption:='corect';
                      label34.Font.Color:=clgreen;
end
 else begin label34.caption:='gresit';
            label34.Font.Color:=clred;
 end;


end;



procedure TForm7.Button3Click(Sender: TObject);
var s:string;
begin
edit3.Enabled:=false;
button3.Enabled:=false;
 s:=UpperCase(edit3.Text);
 if s='C-B' then begin label33.Caption:='corect';
                       label33.Font.Color:=clgreen;
 end
 else begin label33.caption:='gresit';
            label33.Font.Color:=clred;
 end;


end;

procedure TForm7.Button4Click(Sender: TObject);
var s:string;
begin
edit4.Enabled:=false;
button4.Enabled:=false;
s:=UpperCase(edit4.Text);
if s='D-A' then begin label32.Caption:='corect';
                label32.Font.color:=clgreen;
                end
else begin label32.caption:='gresit';
           label32.font.color:=clred;
end;
end;

procedure TForm7.Image1Click(Sender: TObject);
begin
form22.show;
form7.Visible:=false;
end;

procedure TForm7.Label16Click(Sender: TObject);
var s:string;
begin
label16.Enabled:=false;
label17.Enabled:=false;
label18.Enabled:=false;
s:=UpperCase(label29.Caption);
if s='label16' then begin label29.Caption:='corect';
                          label29.Font.Color:=clgreen;
end
else begin label29.Caption:='gresit';
           label29.Font.Color:=clred;

end;

end;

procedure TForm7.Label18Click(Sender: TObject);
var s:string;

begin
label16.Enabled:=false;
label17.Enabled:=false;
label18.Enabled:=false;
s:=UpperCase(label29.Caption);
if s='label18' then begin label29.Caption:='gresit';
                          label29.Font.Color:=clred;

end
else begin label29.Caption:='corect';
           label29.Font.Color:=clgreen;
end;
end;








procedure TForm7.Label19Click(Sender: TObject);
var s:string;
begin
label19.Enabled:=false;
label20.Enabled:=false;
label21.Enabled:=false;
 s:=UpperCase(label28.Caption);
 if s='label19' then begin label28.Caption:='gresit';
                           label28.Font.Color:=clred;
 end
 else begin label28.Caption:='corect';
            label28.Font.Color:=clgreen;
 end;
end;

procedure TForm7.Label21Click(Sender: TObject);
var s:string;
begin
label19.Enabled:=false;
label20.Enabled:=false;
label21.Enabled:=false;
s:=UpperCase(label28.Caption);
if s='label19' then begin label28.Caption:='corect';
                          label28.Font.Color:=clgreen;
end
else begin label28.Caption:='gresit';
           label28.Font.Color:=clred;
end;
end;

procedure TForm7.Label22Click(Sender: TObject);
var s:string;
begin
label22.Enabled:=false;
label23.Enabled:=false;
label24.Enabled:=false;
s:=UpperCase(label30.Caption);
if s='label24' then begin label30.Caption:='corect';
                          label30.Font.Color:=clgreen;
end
else begin label30.Caption:='gresit';
           label30.font.Color:=clred;
end;
end;

procedure TForm7.Label24Click(Sender: TObject);
var s:string;
begin
label22.Enabled:=false;
  label23.Enabled:=false;
  label24.Enabled:=false;
s:=UpperCase(label30.Caption);
if s='label24' then begin label30.Caption:='gresit';
                          label30.Font.Color:=clred;
end
else begin label30.Caption:='corect';
           label30.Font.Color:=clgreen;
end;

end;

procedure TForm7.Label25Click(Sender: TObject);
var s:string;
begin
label25.Enabled:=false;
  label26.Enabled:=false;
  label27.Enabled:=false;
s:=UpperCase(label31.caption);
if s='label25' then begin label31.Caption:='gresit';
                          label31.Font.Color:=clred;
end
else begin label31.Caption:='corect';
           label31.Font.Color:=clgreen;
end;

end;

procedure TForm7.Label27Click(Sender: TObject);
var s:string;
begin
  label25.Enabled:=false;
  label26.Enabled:=false;
  label27.Enabled:=false;

s:=UpperCase(label31.Caption);
if s='label25' then begin label31.Caption:='corect';
                          label31.Font.Color:=clgreen;
end
else begin label31.Caption:='gresit';
           label31.Font.color:=clred;
end;

end;

procedure TForm7.Label32Click(Sender: TObject);
var s:string;
begin

end;

end.
